Subject: Re: [PATCH] m8xx_wdt: software watchdog reset/interrupt select

From: Florian Schirmer <[email-masked]>
Date: Wed, 16 Nov 2005 12:47:31 +0100

Hi,

>> The SYPCR register can be set only _once_ at machine startup and the
>> bootloader in question does not have an option to change the mode. Many
>> bootloaders probably dont.

Okay, i was asuming you have control over the bootloader.

> Updated patch addresses code duplication issue you mentioned and also 
> adds an error message in case timer interrupt frequency is higher
> than the watchdog frequency.
> 
> Can I add your Signed-off-by in case you're OK with it?

Maybe i'm missing something obvious, but why is the interrupt driven 
reaming code not working for your configuration. Are you using the PIT 
for something else?

Otherwise i'm fine with the patch. Feel free to add my Signed-off-by line.

Best,
   Florian